> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List alerts

> Retrieves paginated alerts for the authenticated user with optional filters



## OpenAPI

````yaml /api-reference/oda-automation-service-1.0.0.yml get /alerts
openapi: 3.0.1
info:
  title: ODA Automation Service
  version: 1.0.0
servers: []
security: []
tags:
  - name: Automation
    description: Automation operations for managing rules and variables
paths:
  /alerts:
    get:
      summary: List alerts
      description: >-
        Retrieves paginated alerts for the authenticated user with optional
        filters
      operationId: listAlerts
      parameters:
        - name: after
          in: query
          explode: false
          schema:
            type: string
            format: date-time
            nullable: true
        - name: before
          in: query
          explode: false
          schema:
            type: string
            format: date-time
            nullable: true
        - name: pageable
          in: query
          required: true
          explode: false
          schema:
            $ref: '#/components/schemas/Pageable'
      responses:
        '200':
          description: Paginated list of alerts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAlertsApi.GetAlertsApiResponse'
        '401':
          description: Unauthorized - user not authenticated
components:
  schemas:
    Pageable:
      required:
        - mode
        - number
        - size
        - sort
      type: object
      allOf:
        - $ref: '#/components/schemas/Sort'
        - type: object
          properties:
            number:
              type: integer
              format: int32
            size:
              type: integer
              format: int32
            mode:
              $ref: '#/components/schemas/Pageable.Mode'
            sort:
              $ref: '#/components/schemas/Sort'
    GetAlertsApi.GetAlertsApiResponse:
      type: object
      allOf:
        - $ref: '#/components/schemas/Page_AlertData_'
        - $ref: '#/components/schemas/Slice_AlertData_'
    Sort:
      required:
        - orderBy
      type: object
      properties:
        orderBy:
          type: array
          items:
            $ref: '#/components/schemas/Sort.Order'
    Pageable.Mode:
      type: string
      enum:
        - CURSOR_NEXT
        - CURSOR_PREVIOUS
        - OFFSET
    Page_AlertData_:
      required:
        - totalPages
        - totalSize
      type: object
      allOf:
        - $ref: '#/components/schemas/Slice_AlertData_'
        - type: object
          properties:
            totalSize:
              type: integer
              format: int64
            totalPages:
              type: integer
              format: int32
    Slice_AlertData_:
      required:
        - content
        - empty
        - numberOfElements
        - offset
        - pageNumber
        - pageable
        - size
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/AlertData'
        pageable:
          $ref: '#/components/schemas/Pageable'
        pageNumber:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        size:
          type: integer
          format: int32
        empty:
          type: boolean
        numberOfElements:
          type: integer
          format: int32
    Sort.Order:
      required:
        - ascending
        - direction
        - ignoreCase
        - property
      type: object
      properties:
        ignoreCase:
          type: boolean
        direction:
          $ref: '#/components/schemas/Sort.Order.Direction'
        property:
          type: string
        ascending:
          type: boolean
    AlertData:
      required:
        - createdAt
        - hidden
        - id
        - recipientId
      type: object
      properties:
        id:
          type: string
        recipientId:
          type: string
        nickname:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        amount:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Amount'
        media:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AlertData.AlertMedia'
        levelName:
          type: string
          nullable: true
        count:
          type: integer
          format: int32
          nullable: true
        createdAt:
          type: string
          format: date-time
        hidden:
          type: boolean
    Sort.Order.Direction:
      type: string
      enum:
        - ASC
        - DESC
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string
    AlertData.AlertMedia:
      required:
        - url
      type: object
      properties:
        url:
          type: string

````